public class BreedingForbiddenException extends MeetingException {

    public BreedingForbiddenException(Humain h1, Humain h2) {
        super(h1,h2);
    }

    public String getMessage() {
        String msg = "naissance impossible : ";
        int s1 = 1;
        int s2 = 1;
        if (source[0].isHomme() || source[0].isGarcon()) {
            s1 = 0;
        }
        if (source[1].isHomme() || source[1].isGarcon()) {
            s2 = 0;
        }
        if (s1 == s2) {
            msg = msg+source[0].getNom()+" et "+source[1].getNom()+" sont de meme sexe";
        }
        else {
            if (source[0].getAge() < 15) {
                msg += source[0].getNom()+" est trop jeune, ";
            }
            if (source[1].getAge() < 15) {
                msg += source[1].getNom()+" est trop jeune, ";
            }
            if ( (s1 == 1) && (source[0].getAge() > 50)) {
                msg += source[0].getNom()+" est trop vieille, ";
            }
            if ( (s2 == 1) && (source[1].getAge() > 50)) {
                msg += source[1].getNom()+" est trop vieille, ";
            }
            if (source[0].getPoids() > 150) {
                msg += source[0].getNom()+" est trop gros, ";
            }
            if (source[1].getPoids() > 150) {
                msg += source[1].getNom()+" est trop gros, ";
            }
        }
        return msg;
    }
}
