class TP4 {

	public static void main(String[] args) {

		int taillePop;
		int nbTour;
		int isAccident;
		boolean doAccident = true;
		int controlType;
		int nbBaby = 0;

		if ((args.length < 4) || (args.length > 5)) {

			System.err.println("utilisation : java TP4 taille_pop_initiale nb_tour_jeu is_accident type_controle [nb_bebe]");
            System.err.println("\t\t- taille_pop_initiale : la population initiale commence avec ce nombre d'individu, moitié fomme, moitié femme, agés de 18 ans");
            System.err.println("\t\t- nb_tour_jeu : le jeu de la vie se poursuit pendant ce nombre de tour");
            System.err.println("\t\t- is_accident : si 0, aucun accident n'a lieu en cas de naissance ou rencontre entre adolescents. Sinon, il y a des accidents");
            System.err.println("\t\t- type_controle : 0 = pas de régulation des rencontre, 1 = utilise le nombre maximal de coupe possible, 2 = comme 1 + force le nombre de bébés à chaque tour de jeu.");
            System.err.println("\t\t- nb_bebe : si controle = 2, nombre de bébé à créer avant de passer au tour suivant.");

			System.exit(1);
		}

		taillePop = Integer.parseInt(args[0]);
		if ((taillePop < 0) || (taillePop > 100)) taillePop = 100;
		nbTour = Integer.parseInt(args[1]);
		if ((nbTour < 0) || (nbTour > 10000)) nbTour = 50;
		isAccident = Integer.parseInt(args[2]);
		if (isAccident != 0) {
			doAccident = true;
		}
		else {
			doAccident = false;
		}
		controlType = Integer.parseInt(args[3]);
		if (controlType == 2) {
			nbBaby = Integer.parseInt(args[4]);
		}

		LifeGame game = new LifeGame(taillePop, nbTour, doAccident, controlType, nbBaby);
		game.intialize();
		game.start();
	}
}
